using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using MediaPortal.GUI.Library;
using MediaPortal.Dialogs;


namespace Browser
{
  public class Class1 : GUIWindow, ISetupForm
  {
    [SkinControlAttribute(1)]
    protected GUIButtonControl buttonOne = null;
    [SkinControlAttribute(2)]
    protected GUIButtonControl button2_Click_2 = null;
    [SkinControlAttribute(3)]
    protected GUIButtonControl buttonThree = null;
    [SkinControlAttribute(4)]
    protected GUIButtonControl buttonFour = null;
    [SkinControlAttribute(5)]
    protected GUIButtonControl buttonFive = null;
    [SkinControlAttribute(6)]
    protected GUIButtonControl button9_Click_1 = null;
    [SkinControlAttribute(7)]
    protected GUIButtonControl button7_Click_1 = null;
    [SkinControlAttribute(8)]
    protected GUIButtonControl button8_Click_1 = null;

    #region ISetupForm Members

    // Returns the name of the plugin which is shown in the plugin menu
    public string PluginName()
    {
      return "MyFirstPlugin";
    }

    // Returns the description of the plugin is shown in the plugin menu
    public string Description()
    {
      return "My First Plugin";
    }

    // Returns the author of the plugin which is shown in the plugin menu
    public string Author()
    {
      return "YourNameHere";
    }

    // show the setup dialog
    public void ShowPlugin()
    {
      MessageBox.Show("Nothing to configure, this is just an example");
    }

    // Indicates whether plugin can be enabled/disabled
    public bool CanEnable()
    {
      return true;
    }

    // Get Windows-ID
    public int GetWindowId()
    {
      // WindowID of windowplugin belonging to this setup
      // enter your own unique code
      return 5678;
    }

    // Indicates if plugin is enabled by default;
    public bool DefaultEnabled()
    {
      return true;
    }

    // indicates if a plugin has it's own setup screen
    public bool HasSetup()
    {
      return true;
    }

    /// <summary>
    /// If the plugin should have it's own button on the main menu of MediaPortal then it
    /// should return true to this method, otherwise if it should not be on home
    /// it should return false
    /// </summary>
    /// <param name="strButtonText">text the button should have</param>
    /// <param name="strButtonImage">image for the button, or empty for default</param>
    /// <param name="strButtonImageFocus">image for the button, or empty for default</param>
    /// <param name="strPictureImage">subpicture for the button or empty for none</param>
    /// <returns>true : plugin needs it's own button on home
    /// false : plugin does not need it's own button on home</returns>

    public bool GetHome(out string strButtonText, out string strButtonImage,
      out string strButtonImageFocus, out string strPictureImage)
    {
      strButtonText = String.Empty;
      strButtonImage = String.Empty;
      strButtonImageFocus = String.Empty;
      strPictureImage = String.Empty;
      return false;
    }

    // With GetID it will be an window-plugin / otherwise a process-plugin
    // Enter the id number here again
    public override int GetID
    {
      get
      {
        return 5678;
      }

      set
      {
      }
    }

    #endregion

    public partial class Form1 : Form
    {


      private void buttonSeven(object sender, EventArgs e)
      {
        webBrowser1.Navigate(textBox1.Text);

      }

      private void button7_Click_1(object sender, EventArgs e)
      {
        webBrowser1.GoBack();
      }

      private void button8_Click_1(object sender, EventArgs e)
      {
        webBrowser1.GoForward();
      }

      private void button2_Click_2(object sender, EventArgs e)
      {
        webBrowser1.Refresh();
      }

      private void button3_Click_2(object sender, EventArgs e)
      {
        webBrowser1.GoHome();
      }

      private void textBox1_KeyPress_1(object sender, KeyPressEventArgs e)
      {
        if (e.KeyChar == 13)
        {
          System.Collections.GenericwebBrowser1.Navigate(textBox1.Text);
        }
      }

      private void webBrowser1_ProgressChanged(object sender, WebBrowserProgressChangedEventArgs e)
      {
        toolStripProgressBar1.Maximum = (int)e.MaximumProgress;
        toolStripProgressBar1.Value = (int)e.CurrentProgress;
      }

      private void webBrowser1_DocumentCompleted_1(object sender, WebBrowserDocumentCompletedEventArgs e)
      {
        toolStripProgressBar1.Value = toolStripProgressBar1.Maximum;
        toolStripStatusLabel1.Text = " Done ";
        toolStripStatusLabel1.BackColor = Color.Red;

      }

      private void panel1_Paint(object sender, PaintEventArgs e)
      {

      }

      private void button4_Click(object sender, EventArgs e)
      {

      }

    }




  }
}
