using System;
using System.Windows.Forms;
using MediaPortal.GUI.Library;
using MediaPortal.Dialogs;

namespace Speed_Browser
{
    public class Class1 : GUIWindow, ISetupForm
    {
        [SkinControlAttribute(2)]
        protected GUIButtonControl buttonOne = null;
        [SkinControlAttribute(3)]
        protected GUIButtonControl buttonTwo = null;
        [SkinControlAttribute(4)]
        protected MinWindow window = null;


        #region Variables
        public const int Form1 = 5555;
        #endregion

        public Class1()
        {

        }

        #region ISetupForm Members

        // Returns the name of the plugin which is shown in the plugin menu
        public string PluginName()
        {
            return "Speed Browser";
        }

        // Returns the description of the plugin is shown in the plugin menu
        public string Description()
        {
            return "Browse the web FAST";
        }

        // Returns the author of the plugin which is shown in the plugin menu
        public string Author()
        {
            return "Quarter";
        }

        // show the setup dialog
        public void ShowPlugin()
        {

        }

        // Indicates whether plugin can be enabled/disabled
        public bool CanEnable()
        {
            return true;
        }

        // Get Windows-ID
        public int GetWindowId()
        {
            return 5555;
        }

        // Indicates if plugin is enabled by default;
        public bool DefaultEnabled()
        {
            return true;
        }

        // indicates if a plugin has it's own setup screen
        public bool HasSetup()
        {
            return false;
        }

        /// <summary>
        /// If the plugin should have it's own button on the main menu of MediaPortal then it
        /// should return true to this method, otherwise if it should not be on home
        /// it should return false
        /// </summary>
        /// <param name="strButtonText">text the button should have</param>
        /// <param name="strButtonImage">image for the button, or empty for default</param>
        /// <param name="strButtonImageFocus">image for the button, or empty for default</param>
        /// <param name="strPictureImage">subpicture for the button or empty for none</param>
        /// <returns>true : plugin needs it's own button on home
        /// false : plugin does not need it's own button on home</returns>

        public bool GetHome(out string strButtonText, out string strButtonImage,
          out string strButtonImageFocus, out string strPictureImage)
        {
            strButtonText = "Speed Browser";
            strButtonImage = String.Empty;
            strButtonImageFocus = String.Empty;
            strPictureImage = String.Empty;
            return true;
        }


        // With GetID it will be an window-plugin / otherwise a process-plugin
        // Enter the id number here again
        public override int GetID
        {
            get
            {
                return Form1;
            }

            set
            {
            }
        }

        #endregion

        public override bool Init()
        {
            return Load(GUIGraphicsContext.Skin + @"\SpeedBrowser.xml");

        }
        private void Load()
        {
            MinWindow form1 = new MinWindow();
            form1.ShowDialog();
        }

        protected override void OnClicked(int controlId, GUIControl control,
          MediaPortal.GUI.Library.Action.ActionType actionType)
        {
            if (control == buttonOne)
                OnButtonOne();
            if (control == buttonTwo)
                OnButtonTwo();
            base.OnClicked(controlId, control, actionType);
        }
        private void OnButtonOne()
        {
            MinWindow form1 = new MinWindow();
            form1.ShowDialog();
        }
        private void OnButtonTwo()
        {
            MaxWindow form1 = new MaxWindow();
            form1.ShowDialog();

        }

    }
}
